#!/bin/bash

. ./.jprojects.sh || exit 255

for project in ${LIST}; do
	if [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		echo "$0: Project '${project}' does not exist."
		continue
	fi

	cd "${JPROJECTS_HOME}/${project}" || exit 255

	if [ -n "$2" ]
	then
		git branch -D "$2"
	fi

	if [ "$1" = "c" ]
	then
		echo "$0: Checkout '${project}' ..."
		git checkout -- .
	elif [ "$1" = "r" ]
	then
		echo "$0: Resetting '${project}' ..."
		git reset --hard
	fi

	echo "$0: Pulling '${project}' ..."

	git pull -S origin master
	git fetch upstream
	git fetch transport

	echo "$0: Merging upstream into '${project}' ..."
	git merge -S upstream/master

	if [ "$1" != "s" ]
	then
		echo "$0: Rebasing '${project}' ..."
		git rebase -Sm origin/master || exit 255
	fi
done

echo "$0: All done."
exit 0
